ApiUboDeclarations
class ApiUboDeclarations extends ApiBase (View source)
Manages API calls for the UBO declaration entity.
Properties
| protected MangoPayApi | $_root | Root/parent instance that holds the OAuthToken and Configuration instance |
from ApiBase |
Methods
Constructor Root/parent instance that holds the OAuthToken and Configuration instance
Create object in API
No description
Get entity object from API
Get entity object from API endpoint that has a lot of query params
Get entity object from API on a request path that contains pagination and other query params
Get lst with entities object from API
Save object in API
Does the same thing as SaveObject above, but keeps natural order of provided entity ids when building the URL
Executes a POST request
Cast response object to entity object
Creates a new UBO Declaration for an user.
No description
Gets an UBO Declaration.
Gets an UBO Declaration directly by Id.
Updates an UBO Declaration with the status VALIDATION_ASKED.
Gets an UBO Declaration.
Details
protected mixed
getLogger()
No description
__construct(MangoPayApi $root)
Constructor Root/parent instance that holds the OAuthToken and Configuration instance
protected string
GetRequestUrl(string $key)
Get URL for REST Mango Pay API
protected RequestType
GetRequestType(string $key)
Get request type for REST Mango Pay API
protected
GetApiVersion($key)
No description
protected object
CreateObject(string $methodKey, object $entity, object $responseClassName = null, string $entityId = null, $subEntityId = null, $idempotencyKey = null)
Create object in API
protected object
CreateOrUpdateMultipartObject(string $methodKey, string $file, string $fileName, string $responseClassName = null, string $entityId = null, string $idempotencyKey = null)
No description
protected object
GetObject(string $methodKey, object $responseClassName, $firstEntityId = null, $secondEntityId = null, $thirdEntityId = null, $clientIdRequired = true)
Get entity object from API
protected object
GetObjectManyQueryParams(string $methodKey, object $responseClassName, ...$queryParams)
Get entity object from API endpoint that has a lot of query params
protected object
GetObjectWithPagination(string $methodKey, object $responseClassName, $pagination = null, $filter = null, $entityId = null, $clientIdRequired = true)
Get entity object from API on a request path that contains pagination and other query params
protected object[]
GetList(string $methodKey, Pagination $pagination, object $responseClassName = null, string $entityId = null, object $filter = null, Sorting $sorting = null, $secondEntityId = null, $clientIdRequired = true)
Get lst with entities object from API
protected object
SaveObject(string $methodKey, object $entity, object $responseClassName = null, $secondEntityId = null, $thirdEntityId = null)
Save object in API
protected
UpdateObject($methodKey, $entity, $responseClassName = null, $firstEntityId = null, $secondEntityId = null, $thirdEntityId = null)
Does the same thing as SaveObject above, but keeps natural order of provided entity ids when building the URL
protected
DeleteObject($methodKey, $entity, $responseClassName = null)
No description
protected object
ExecutePostRequest(mixed $methodKey, mixed $entity, mixed $responseClassName, mixed $entityId = null, $idempotency_key = null)
Executes a POST request
protected Error
CastResponseToError(object $response)
Cast response object to an error object
protected
CastResponseToEntity($response, $entityClassName, $asDependentObject = false)
Cast response object to entity object
protected array
BuildRequestData(object $entity)
Get array with request data
protected
GetObjectForIdempotencyUrl($url)
No description
UboDeclaration
Create(string $userId)
Creates a new UBO Declaration for an user.
GetAll($userId, $pagination = null, $sorting = null)
No description
UboDeclaration
Get(string $userId, string $uboDeclarationId)
Gets an UBO Declaration.
UboDeclaration
GetById(string $uboDeclarationId)
Gets an UBO Declaration directly by Id.
Ubo
CreateUbo(string $userId, string $uboDeclarationId, Ubo $ubo)
Creates a new UBO for the specified arguments
Ubo
GetUbo(string $userId, string $uboDeclarationId, string $uboId)
Gets an UBO
UboDeclaration
SubmitForValidation(string $userId, string $uboDeclarationId)
Updates an UBO Declaration with the status VALIDATION_ASKED.
UboDeclaration
GetUboDeclarationById(string $uboDeclarationId)
Gets an UBO Declaration.